Package org.openoffice.da.comp.w2lcommon.filter

# Class ConfigurationDialogBase.StylesPageHandler

java.lang.Object
org.openoffice.da.comp.w2lcommon.filter.ConfigurationDialogBase.PageHandler
org.openoffice.da.comp.w2lcommon.filter.ConfigurationDialogBase.UserListPageHandler
org.openoffice.da.comp.w2lcommon.filter.ConfigurationDialogBase.StylesPageHandler

Enclosing class:
  `ConfigurationDialogBase`

protected abstract class ConfigurationDialogBase.StylesPageHandler extends ConfigurationDialogBase.UserListPageHandler

## Field Summary

Fields
Modifier and Type
Field
Description
`protected short`
`nCurrentFamily`
`protected String[]`
`sFamilyNames`
`protected String[]`
`sOOoFamilyNames`
`protected StyleNameProvider`
`styleNameProvider`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`StylesPageHandler(int nCount)`

## Method Summary

Modifier and Type
Method
Description
`protected abstract void`
`clearControls(DialogAccess dlg)`
`protected void`
`getControls(DialogAccess dlg)`
`protected abstract void`
`getControls(DialogAccess dlg, Map<String,String> attr)`
`protected abstract String`
`getDefaultConfigName()`
`protected boolean`
`handleEvent(DialogAccess dlg, String sMethod)`
`protected abstract void`
`prepareControls(DialogAccess dlg, boolean bHasDefinitions)`
`protected void`
`setControls(DialogAccess dlg)`
`protected abstract void`
`setControls(DialogAccess dlg, Map<String,String> attr)`

### Methods inherited from class org.openoffice.da.comp.w2lcommon.filter.ConfigurationDialogBase.UserListPageHandler

`appendItem, deleteCurrentItem`

### Methods inherited from class org.openoffice.da.comp.w2lcommon.filter.ConfigurationDialogBase.PageHandler

`checkBoxFromConfig, checkBoxToConfig, deleteItem, getDialog, listBoxFromConfig, listBoxToConfig, textFieldFromConfig, textFieldToConfig`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### sFamilyNames

protected String[] sFamilyNames

### sOOoFamilyNames

protected String[] sOOoFamilyNames

### nCurrentFamily

protected short nCurrentFamily

### styleNameProvider

protected StyleNameProvider styleNameProvider

## Constructor Details

### StylesPageHandler

protected StylesPageHandler(int nCount)

## Method Details

### getDefaultConfigName

protected abstract String getDefaultConfigName()

### getControls

protected abstract void getControls(DialogAccess dlg, Map<String,String> attr)

### setControls

protected abstract void setControls(DialogAccess dlg, Map<String,String> attr)

### clearControls

protected abstract void clearControls(DialogAccess dlg)

### prepareControls

protected abstract void prepareControls(DialogAccess dlg, boolean bHasDefinitions)

### setControls

protected void setControls(DialogAccess dlg)

Specified by:
  `setControls` in class `ConfigurationDialogBase.PageHandler`

### getControls

protected void getControls(DialogAccess dlg)

Specified by:
  `getControls` in class `ConfigurationDialogBase.PageHandler`

### handleEvent

protected boolean handleEvent(DialogAccess dlg, String sMethod)

Specified by:
  `handleEvent` in class `ConfigurationDialogBase.PageHandler`